IT: OTS (China) - 0 [ Bug #469

v4.0: Product - Price (Bug List)
04/22/2025 09:15 AM - Zhongbao Ye

Status: oo0 Start date: 04/22/2025
Priority: aa Due date: 04/22/2025
Assignee: Zhongbao Ye % Done: 100%
Category: Estimated time: 8.00 hours
Target version: v4.0 Spent time: 0.00 hour
Description

Background

1. Fully understand the price calculation rules and list the test bugs
Bug lists

1. (Done)l]ﬂl]ﬂl]span gooooooo <span>
o 0000: Ojson000000000000ntmlIentities() 0000000000
2. (Done)ldesign_typel000000000000
o 00000niko00D
3. (Done)l0sub option 000000000 sub option name
o 0000000000seXx00000D000DDDOO0
4. (Done)ll] sub optionlloption_id = 88l IO option value [ start cost priceJ000000000000
o 1000000000 sex000d
00000sub optionDUIDDDﬂstartcostﬂﬂﬂsub optionﬂﬂﬂstartcostﬂDDDDDD
5. (Done)DDDoption value DDDpricerroduct 00 sub option value a pricel]ﬂDDDDDDisabIedDDvanDDD
o (000000000sub option valuelpricelllllloption valuelpricellllproductl 00 disabledl [
6. (Done)lcurrency useRound 00000000000000000000000000D0ODO0DODO
o 000000000DO00DDDO00
7. (Done)lFormula 0000 O00000product price
o 10000nikol0D

v4 coding standard:

1. Gitll[
#xxx(redmine number): xxx(redmine title) - xxx(JOOOO0O0)

2. 0000
2.1: [00Public -> Protected -> Private
SDZ: 0o00o00sex
3. mvcLivanallil
3.1: v3/v4lll00000000000 order.php, order_v3.php
3.2: systemU0000000000000user v3
- Note: frontll$this->userllv400000$this->customer, Oval0000$this->user
8.3: 000000van40000000new User V3
4. 0000
tDwig, s, css (js, css000000cssO00)

5. 0000
E/IVCL (LOenlcn)

6. 00
1.000

/*x*
* XXX
*

* @copyright RedBlue-OTS 2024
* @version v4
*

*/

2.00000000 + DOOCD

J xRk
* XXX
*

* @param xxX S$XXX
* @param XXX S$XXX
* @return xxx
2

Output

® Report and Solution

Others

History

#1 - 04/22/2025 10:58 AM - Zhongbao Ye
- File span0000000 .png added

- Description updated

#2 - 04/22/2025 10:58 AM - Zhongbao Ye

- Description updated

#3 - 04/22/2025 11:00 AM - Xihua Fan
- Tracker changed from 0000 to00 Bug

- Subject changed from v4.0: Price - bug list to v4.0: Product - Price (Bug List)

#4 - 04/22/2025 11:32 AM - Zhongbao Ye
- File 2. design_typel 000000000000 .png added

- Description updated

#5 - 04/22/2025 11:38 AM - Zhongbao Ye

- Description updated

#6 - 04/22/2025 12:54 PM - Zhongbao Ye
- File00 sub option0 00000000 sub option name.png added

- Description updated

#7 - 04/22/2025 01:08 PM - Zhongbao Ye
- File 0 optiond option_id = 881 000000 option value start cost pricel 000000000000 .png added

- Description updated

#8 - 04/22/2025 01:39 PM - Zhongbao Ye

- Description updated

#9 - 04/22/2025 01:39 PM - Zhongbao Ye

- Description updated

#10 - 04/22/2025 02:11 PM - Zhongbao Ye
- File price useRound0100000000000000000000000 .png added

- Description updated
#11 - 04/22/2025 02:12 PM - Zhongbao Ye
- Description updated

#12 - 04/22/2025 02:55 PM - Junyi Zhang
- Description updated

#13 - 04/22/2025 03:14 PM - Zhongbao Ye
- File Formula0000 000000 product price.png added

- Description updated

#14 - 04/22/2025 04:11 PM - Zhongbao Ye
- Description updated

- Status changed from 000 to0010

- % Done changed from 0 to 100

Files

1. span 00000000.png 82.3 KB 04/22/2025 Zhongbao Ye
2. design_typell000000000000.png 356 KB 04/22/2025 Zhongbao Ye
3. lsub option 000000000 sub option name.png 44 KB 04/22/2025 Zhongbao Ye
4. [ optionloption_id = 88ll D00000option value 0 start cost pricel 11 IPBIKBINN0. png4/22/2025 Zhongbao Ye
6. currency useRound 000000000000000000000000.png 393 KB 04/22/2025 Zhongbao Ye
Formula 0000 000000product price.png 126 KB 04/22/2025 Zhongbao Ye
